> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.uniledger.cc/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.uniledger.cc/_mcp/server.

# List products (inventory items)

GET https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products

Reference: https://docs.uniledger.cc/api-reference/eilith-public-rest-api/products/list-products

## Authentication

- `Authorization` header (bearer token, required) — API key prefixed with uk_live_

## Servers

- `https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api` (Production, default)
- `https://pmjidplmzxohyqsbajvg.supabase.co/functions/v1/platform-api` (Staging)

## Request

### Query parameters

- `limit` (integer, optional, default: 25)
- `cursor` (string, optional) — ID of last item from previous page
- `sort` (string, optional, default: created_at)
- `order` (enum, optional, default: desc)
  - Allowed values: `asc`, `desc`
- `status` (enum, optional)
  - Allowed values: `active`, `inactive`, `archived`
- `item_type` (enum, optional)
  - Allowed values: `stock`, `service`, `consumable`, `assembly`
- `search` (string, optional) — Search by name or SKU

## Response

### 200

Paginated product list

- `data` (list of object, optional)
  - `id` (string, optional)
  - `tenant_id` (string, optional)
  - `sku` (string, optional)
  - `name` (string, optional)
  - `item_type` (enum, optional)
    - Allowed values: `stock`, `service`, `consumable`, `assembly`
  - `status` (enum, optional)
    - Allowed values: `active`, `inactive`, `archived`
  - `default_uom` (string, optional)
  - `cost_method` (enum, optional)
    - Allowed values: `weighted_average`, `fifo`, `lifo`, `specific`
  - `description` (string, optional, nullable)
  - `reorder_point` (double, optional, nullable)
  - `reorder_qty` (double, optional, nullable)
  - `is_stockable` (boolean, optional, nullable)
  - `is_purchasable` (boolean, optional, nullable)
  - `is_sellable` (boolean, optional, nullable)
  - `is_manufacturable` (boolean, optional, nullable)
  - `standard_cost` (double, optional, nullable)
  - `image_url` (string, optional, nullable)
  - `created_at` (datetime, optional)
  - `updated_at` (datetime, optional)
- `pagination` (object, optional)
  - `next_cursor` (string, optional, nullable)
  - `has_more` (boolean, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "string",
      "tenant_id": "string",
      "sku": "string",
      "name": "string",
      "item_type": "stock",
      "status": "active",
      "default_uom": "string",
      "cost_method": "weighted_average",
      "description": "string",
      "reorder_point": 1.1,
      "reorder_qty": 1.1,
      "is_stockable": true,
      "is_purchasable": true,
      "is_sellable": true,
      "is_manufacturable": true,
      "standard_cost": 1.1,
      "image_url": "string",
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-01-15T09:30:00Z"
    }
  ],
  "pagination": {
    "next_cursor": "string",
    "has_more": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```